Unit tde28r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FDE28R_p, DE28R_p;

function tde28r: String;

implementation

function tde28r: String;
var
M,JSTART,IH,IERR :Integer;
XN,H,P,HMAX,HMIN,X,EPS,Y1,Y2 :Real;
BUL :Boolean;
RFN :Array [0..1] of Real;
YN :Array [0..1] of Real;
Y :Array [0..1] of Real;
DELTY :Array [0..1] of Real;
DF :Array [0..9] of Real;
RF :Array [0..1] of Real;
YP :Array [0..1] of Real;
RY :Array [0..9] of Real;
label
_6,_7,_20;
begin
Result := '';  {   }
M := 2;
X := 0.75e0*3.14159265358979323846264e0;
H := 0.01e0;
Y[0] := Sqrt(2.e0)/2.e0;
Y[1] := -Y[0];
HMIN := 1.e-18;
JSTART := 0;
EPS := 1.e-8;
P := 100.e0;
BUL := False;
IH := 0;
HMAX := 1.e0;
_6:
DE28R(FDE28R,M,JSTART,HMIN,HMAX,EPS,P,Y,X,H,BUL,DELTY,
     DF,RF,YP,RY,RFN,IERR);
IH := IH+1;
if ( IH = 1 ) 
 then goto _6;
Y1 := Sin(X);
Y2 := Cos(X);
Result := Result + Format(' %20.16f %20.16f %20.16f  %20.16f  %20.16f  %20.16f ',
 [X,Y[0],Y[1],H,Y1,Y2]) + #$0D#$0A;
if ( IH = 4 ) 
 then goto _20;
JSTART := -1;
if ( IH = 3 ) 
 then goto _7;
H := 0.005e0;
goto _6;
_7:
H := 0.02e0;
goto _6;
_20:
UtRes('tde28r',Result);  {     tde28r.res }
exit;
end;

end.
